summaryrefslogtreecommitdiff
path: root/bin/recv-gst-rtsp-v-a
diff options
context:
space:
mode:
Diffstat (limited to 'bin/recv-gst-rtsp-v-a')
-rwxr-xr-xbin/recv-gst-rtsp-v-a11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/recv-gst-rtsp-v-a b/bin/recv-gst-rtsp-v-a
new file mode 100755
index 0000000..1426dc0
--- /dev/null
+++ b/bin/recv-gst-rtsp-v-a
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Receive live video/audio media
+
+set -e
+
+URI=${URI:-${1:-rtsp://127.0.0.1:8554/cam0}}
+VSINK=${VSINK:-autovideosink}
+ASINK=${ASINK:-autoaudiosink}
+
+gst-launch-1.0 playbin -v uri="$URI" ${VSINK:+video-sink="$VSINK"} latency=0 ${ASINK:+audio-sink="$ASINK"}